/**
 * @author Joel Espinosa Longi
 * @licencia LGPL - http://www.gnu.org/licenses/lgpl.html
 */

var paramEditor = (function(paramEditor) {

  /**
   *
   */
  paramEditor.CheckboxAndLabelAndColor = function(label, checked, value) {
    this.name = label;
    this.value = value;

    var rnd = parseInt(Math.random()*1000);
    this.domObj = document.createElement("div");
    this.domObj.setAttribute("class", "CheckboxAndLabelAndColor");

    this.label = document.createElement("label");
    this.label.setAttribute("for", label+"_"+rnd);
    this.label.innerHTML = label;

    this.checkbox = document.createElement("input");
    this.checkbox.setAttribute("id", label+"_"+rnd);
    this.checkbox.setAttribute("type", "checkbox");
    this.setValue(checked);

    this.color = document.createElement("input");
    this.color.setAttribute("id", label+"_"+rnd);
    this.color.setAttribute("type", "color");

    this.domObj.appendChild(this.checkbox);
    this.domObj.appendChild(this.label);
    this.domObj.appendChild(this.color);
  }

  /**
   *
   */
  paramEditor.CheckboxAndLabelAndColor.prototype.setLabel = function(label) {
    this.name = label;
    this.label.innerHTML = label;
  }
  paramEditor.CheckboxAndLabelAndColor.prototype.getLabel = function() {
    return this.name;
  }
  paramEditor.CheckboxAndLabelAndColor.prototype.setValue = function(value) {
    this.checkbox.checked = ((value == "true") || (value == true));
  }
  paramEditor.CheckboxAndLabelAndColor.prototype.getValue = function() {
    return this.checked;
  }


  return paramEditor;
})(paramEditor || {});