/**
 * @author Joel Espinosa Longi
 * @licencia LGPL - http://www.gnu.org/licenses/lgpl.html
 */

var paramEditor = (function(paramEditor) {

  /**
   *
   */
  paramEditor.LabelAndColor = function(label, value) {
    this.name = label;
    this.value = value;

    var rnd = parseInt(Math.random()*1000);
    this.domObj = document.createElement("div");
    this.domObj.setAttribute("class", "LabelAndColor");

    this.label = document.createElement("label");
    this.label.setAttribute("for", label+"_"+rnd);
    this.label.innerHTML = label;

    this.color = document.createElement("input");
    this.color.setAttribute("id", label+"_"+rnd);
    this.color.setAttribute("type", "color");
    // this.setValue(value);

    this.domObj.appendChild(this.label);
    this.domObj.appendChild(this.color);
  }

  /**
   *
   */
  paramEditor.LabelAndColor.prototype.setLabel = function(label) {
    this.name = label;
    this.label.innerHTML = label;
  }
  paramEditor.LabelAndColor.prototype.getLabel = function() {
    return this.name;
  }
  paramEditor.LabelAndColor.prototype.setValue = function(value) {
    this.color.value = value;
  }
  paramEditor.LabelAndColor.prototype.getValue = function() {
    return this.checked;
  }


  return paramEditor;
})(paramEditor || {});